Bug 1413862 - Regression: 'atomic storage reset' now requires additional arguments
Summary: Regression: 'atomic storage reset' now requires additional arguments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 07:50 UTC by Stef Walter
Modified: 2017-04-01 17:10 UTC (History)
8 users (show)

Fixed In Version: atomic-1.16.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:10:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Stef Walter 2017-01-17 07:50:47 UTC
Description of problem:

The command "atomic storage reset" now requires additional arguments. This is a regression. This regression breaks Cockpit and was detected by a failure in its integration tests.

Version-Release number of selected component (if applicable):

atomic-1.14.1-1.fc25.x86_64

How reproducible:

Every time.

Steps to Reproduce:

# rpm -q atomic
atomic-1.14.1-1.fc25.x86_64
# atomic storage reset
/usr/bin/atomic storage reset: too few arguments
Try '/usr/bin/atomic storage reset --help' for more information.

Expected results:

No output, successful reset, zero exit code.

# rpm -q atomic
atomic-1.13.1-3.git5dfcaa9.fc25.x86_64
# atomic storage reset
# echo $?
0

Comment 1 Stef Walter 2017-01-17 07:51:50 UTC
Cockpit integration test that failed: https://github.com/cockpit-project/cockpit/pull/5738

Comment 2 Stef Walter 2017-01-17 07:59:15 UTC
This regression has been pushed into both Fedora 25 and Fedora 24 ... so this breaks real users on stable "released" systems.

Comment 3 Stef Walter 2017-01-17 07:59:44 UTC
No indication is given in --help what additional arguments could possibly be useful:

# atomic storage reset --help
usage: atomic storage reset [-h] [--graph GRAPH]

optional arguments:
  -h, --help     show this help message and exit
  --graph GRAPH  Root of the Docker runtime (Default: /var/lib/docker)

Comment 4 Stef Walter 2017-01-17 08:31:05 UTC
This version in the Atomic Host CentOS nightly continuous builds is *not* broken:

-bash-4.2# atomic storage reset
-bash-4.2# rpm -q atomic
atomic-1.14.1.13-ef8b07ef79c9fe84e9a33ace7f7b5f9a450036b1.2805e4f21d124fff45ffda5d817d81c80fa41afa.el7.centos.x86_64

Comment 6 Fedora Update System 2017-02-08 14:47:23 UTC
atomic-1.15.3-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1def5655ad

Comment 7 Fedora Update System 2017-02-09 22:21:02 UTC
atomic-1.15.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1def5655ad

Comment 8 Fedora Update System 2017-03-09 20:58:41 UTC
atomic-1.16.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 9 Fedora Update System 2017-03-11 14:26:11 UTC
atomic-1.16.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 10 Fedora Update System 2017-03-16 16:02:15 UTC
atomic-1.16.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 11 Fedora Update System 2017-03-17 02:20:01 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 12 Fedora Update System 2017-04-01 17:10:45 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.